### Function

# AppStream ContentRatingSystem get_csm_ages

since: 0.12.12

#### Declaration [src]

    const guint*
    as_content_rating_system_get_csm_ages (
      AsContentRatingSystem system,
      gsize* length_out
    )

#### Description [src]

Get the CSM ages corresponding to the entries returned by `as_content_rating_system_get_formatted_ages()` for this `system`.

Available since: 0.12.12

#### Parameters

`system`

  Type: `AsContentRatingSystem`

  An `AsContentRatingSystem`.

`length_out`

  Type: `gsize*`

  Return location for the length of the returned array.

  The argument will be set by the function.

#### Return value

Type: An array of `guint`

An array of CSM ages.

The length of the array is in the `length_out` argument.
The caller of the function takes ownership of the data container, but not the data inside it.